Bug 969208 - [abrt] spring-94.1-1.fc19: __cxa_call_terminate: Process /usr/bin/spring was killed by signal 6 (SIGABRT)
[abrt] spring-94.1-1.fc19: __cxa_call_terminate: Process /usr/bin/spring was ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spring (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
abrt_hash:cf00d578a6806ffb234d407ad19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 17:57 EDT by Erik Schilling
Modified: 2013-07-28 20:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: spring-94.1-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.62 KB, text/plain)
2013-05-30 17:57 EDT, Erik Schilling
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-30 17:57 EDT, Erik Schilling
no flags Details
File: core_backtrace (693 bytes, text/plain)
2013-05-30 17:57 EDT, Erik Schilling
no flags Details
File: dso_list (6.88 KB, text/plain)
2013-05-30 17:57 EDT, Erik Schilling
no flags Details
File: environ (3.97 KB, text/plain)
2013-05-30 17:57 EDT, Erik Schilling
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-30 17:58 EDT, Erik Schilling
no flags Details
File: maps (21.63 KB, text/plain)
2013-05-30 17:58 EDT, Erik Schilling
no flags Details
File: open_fds (313 bytes, text/plain)
2013-05-30 17:58 EDT, Erik Schilling
no flags Details
File: proc_pid_status (804 bytes, text/plain)
2013-05-30 17:58 EDT, Erik Schilling
no flags Details
File: var_log_messages (5.82 KB, text/plain)
2013-05-30 17:58 EDT, Erik Schilling
no flags Details
output of "lspci -v" (7.85 KB, text/plain)
2013-07-10 16:24 EDT, Ulf Klaperski
no flags Details
output of "dmidecode" (28.10 KB, text/plain)
2013-07-10 16:25 EDT, Ulf Klaperski
no flags Details

  None (edit)
Description Erik Schilling 2013-05-30 17:57:37 EDT
Description of problem:
Updated to f19. Then tried to run spring (either directly by running the binary or by running it via the springlobby). A friend of mine has the same issue.

Version-Release number of selected component:
spring-94.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        spring
crash_function: __cxa_call_terminate
executable:     /usr/bin/spring
kernel:         3.9.4-300.fc19.i686
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __cxa_call_terminate at ../../../../libstdc++-v3/libsupc++/eh_call.cc:54
 #6 __cxxabiv1::__gxx_personality_v0 at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:670
 #7 _Unwind_RaiseException_Phase2 at ../../../libgcc/unwind.inc:62
 #8 _Unwind_Resume at ../../../libgcc/unwind.inc:230
 #9 ~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:371
 #10 ~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:328
 #11 ~thread at /usr/include/boost/thread/detail/thread.hpp:248
 #12 CrashHandler::HandleSignal at /usr/src/debug/spring_94.1/rts/System/Platform/Linux/CrashHandler.cpp:485
 #14 CEFX::CEFX at /usr/src/debug/spring_94.1/rts/System/Sound/EFX.cpp:86
 #15 CSound::StartThread at /usr/src/debug/spring_94.1/rts/System/Sound/Sound.cpp:342
Comment 1 Erik Schilling 2013-05-30 17:57:41 EDT
Created attachment 755069 [details]
File: backtrace
Comment 2 Erik Schilling 2013-05-30 17:57:44 EDT
Created attachment 755070 [details]
File: cgroup
Comment 3 Erik Schilling 2013-05-30 17:57:48 EDT
Created attachment 755071 [details]
File: core_backtrace
Comment 4 Erik Schilling 2013-05-30 17:57:54 EDT
Created attachment 755072 [details]
File: dso_list
Comment 5 Erik Schilling 2013-05-30 17:57:57 EDT
Created attachment 755073 [details]
File: environ
Comment 6 Erik Schilling 2013-05-30 17:58:00 EDT
Created attachment 755074 [details]
File: limits
Comment 7 Erik Schilling 2013-05-30 17:58:03 EDT
Created attachment 755075 [details]
File: maps
Comment 8 Erik Schilling 2013-05-30 17:58:08 EDT
Created attachment 755076 [details]
File: open_fds
Comment 9 Erik Schilling 2013-05-30 17:58:11 EDT
Created attachment 755077 [details]
File: proc_pid_status
Comment 10 Erik Schilling 2013-05-30 17:58:14 EDT
Created attachment 755078 [details]
File: var_log_messages
Comment 11 Ulf Klaperski 2013-06-01 14:17:28 EDT
This happens to me on x86_64 Fedora 19, both with the package and with a self-compiled spring 94.1.
Comment 12 Simon Geard 2013-07-08 05:38:43 EDT
Started a Spring game - either directly from the terminal, or from the SpringLobby client. A blank full-screen window appears briefly before the application exits.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        '\"/usr/bin/spring\"' --config=/home/simon/.springrc /home/simon/.spring/script.txt
crash_function: __cxa_call_terminate
executable:     /usr/bin/spring
kernel:         3.9.9-301.fc19.x86_64
package:        spring-94.1-2.fc19
reason:         Process /usr/bin/spring was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 13 Gilboa Davara 2013-07-09 09:21:17 EDT
I'm currently trying to reproduce it on two different F19 machines.
Please post your hardware configuration.

- Gilboa
Comment 14 Ulf Klaperski 2013-07-10 16:24:29 EDT
Created attachment 771844 [details]
output of "lspci -v"
Comment 15 Ulf Klaperski 2013-07-10 16:25:43 EDT
Created attachment 771845 [details]
output of "dmidecode"
Comment 16 Ulf Klaperski 2013-07-10 16:28:25 EDT
I just added the output of "lspci -v" and "dmidecode" on my system. Do you need more?

Note: it says "driver: nvidia", but it was nouveau before, so that doesn't make a difference.

- Ulf
Comment 17 Simon Geard 2013-07-12 09:09:47 EDT
My hardware is a desktop machine about 2 years old... six-core AMD Phenom processor, onboard Radeon 4250 graphics, 4Gb memory. It's an F18 installation that's been upgraded to 19, standard drivers. The game worked fine on F18... or at least, as fine as any game works on that graphics chip...

I can be more precise if needed... not sure how much detail you wanted.
Comment 18 Gilboa Davara 2013-07-15 02:11:01 EDT
Thanks for the info. Testing...
Comment 19 Gilboa Davara 2013-07-15 02:32:13 EDT
Reproduced on an nVidia machine.
Working on it.

- Gilboa
Comment 20 Fedora Update System 2013-07-16 08:11:59 EDT
spring-94.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spring-94.1-3.fc18
Comment 21 Fedora Update System 2013-07-16 08:12:12 EDT
spring-94.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spring-94.1-3.fc19
Comment 22 Gilboa Davara 2013-07-16 08:17:19 EDT
Please test and raise / lower karma as needed.

Thanks.
Comment 23 Fedora Update System 2013-07-16 23:12:54 EDT
Package spring-94.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spring-94.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13114/spring-94.1-3.fc19
then log in and leave karma (feedback).
Comment 24 Simon Geard 2013-07-17 07:25:20 EDT
I've left karma as requested, but just to echo here, that update works fine for me. I've only done minimal testing (a few minutes), but the game loads and starts without any problems.
Comment 25 Fedora Update System 2013-07-22 21:02:37 EDT
spring-94.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-07-28 20:30:26 EDT
spring-94.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.